commit ba47f2909371787b76d213ea012c6b950f9f8080
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Thu Aug 18 21:20:15 2022 +0100

    OpenSSL: unbreak build with older library version
    
    Broken-by: 4e3a01c260

diff --git a/src/src/tls-openssl.c b/src/src/tls-openssl.c
index 22750d273..c46bc75a5 100644
--- a/src/src/tls-openssl.c
+++ b/src/src/tls-openssl.c
@@ -3191,7 +3191,7 @@ uschar c, * s;
 size_t len;
 
 #ifdef EXIM_HAVE_EXPORT_CHNL_BNGNG
-if (SSL_version(ssl) >= TLS1_3_VERSION)
+if (SSL_version(ssl) > TLS1_2_VERSION)
   {
   /* It's not documented by OpenSSL how big the output buffer must be.
   The OpenSSL testcases use 80 bytes but don't say why. The GnuTLS impl only

